From c0b8881e84a2c4a05b2806a2c4f2cbc99c3770ba Mon Sep 17 00:00:00 2001
From: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date: Sat, 4 May 2019 22:25:10 +0200
Subject: [PATCH 3/4] Improve button sizing

Try to keep image-buttons square (e.g. Thunar's toolbar), fix height of headerbars with
buttonboxes inside (e.g. Gnome Software).
This should hopefully also improve Midori's button sizes (Issue 245)
---
 gtk-3.0/_common.scss           |  9 +++++----
 gtk-3.0/gtk-contained-dark.css | 11 +++++++----
 gtk-3.0/gtk-contained.css      | 11 +++++++----
 3 files changed, 19 insertions(+), 12 deletions(-)

diff --git a/gtk-3.0/_common.scss b/gtk-3.0/_common.scss
index 8ea6410..5f9398b 100644
--- a/gtk-3.0/_common.scss
+++ b/gtk-3.0/_common.scss
@@ -448,7 +448,7 @@ button {
   @at-root %button_basic, & {
 
     min-height: 24px;
-    min-width: 16px;
+    min-width: 22px;
     padding: 1px 2px;
     border: 1px solid;
     border-radius: 3px;
@@ -513,9 +513,9 @@ button {
     }
 
     &.image-button {
-      min-width: 24px;
-      padding-left: 4px;
-      padding-right: 4px;
+      min-height: 20px;
+      min-width: 20px;
+      padding: 2px;
     }
 
     &.text-button {
@@ -1542,6 +1542,7 @@ headerbar {
     margin-top: 9px;
     margin-bottom: 9px;
   }
+  buttonbox { padding: 0px; }
 }
 
 .background:not(.tiled):not(.maximized) .titlebar {
diff --git a/gtk-3.0/gtk-contained-dark.css b/gtk-3.0/gtk-contained-dark.css
index 0c5fd53..1587cf8 100644
--- a/gtk-3.0/gtk-contained-dark.css
+++ b/gtk-3.0/gtk-contained-dark.css
@@ -426,7 +426,7 @@ treeview entry.flat, treeview entry {
 notebook > header > tabs > arrow, button.titlebutton,
 button {
   min-height: 24px;
-  min-width: 16px;
+  min-width: 22px;
   padding: 1px 2px;
   border: 1px solid;
   border-radius: 3px;
@@ -569,9 +569,9 @@ button {
         color: #949796; }
   notebook > header > tabs > arrow.image-button, button.image-button.titlebutton,
   button.image-button {
-    min-width: 24px;
-    padding-left: 4px;
-    padding-right: 4px; }
+    min-height: 20px;
+    min-width: 20px;
+    padding: 2px; }
   notebook > header > tabs > arrow.text-button, button.text-button.titlebutton,
   button.text-button {
     padding-left: 8px;
@@ -1995,6 +1995,9 @@ headerbar switch {
   margin-top: 9px;
   margin-bottom: 9px; }
 
+headerbar buttonbox {
+  padding: 0px; }
+
 .background:not(.tiled):not(.maximized) .titlebar:backdrop, .background:not(.tiled):not(.maximized) .titlebar {
   border-top-left-radius: 7px;
   border-top-right-radius: 7px; }
diff --git a/gtk-3.0/gtk-contained.css b/gtk-3.0/gtk-contained.css
index d2a424b..4349111 100644
--- a/gtk-3.0/gtk-contained.css
+++ b/gtk-3.0/gtk-contained.css
@@ -427,7 +427,7 @@ treeview entry.flat, treeview entry {
 notebook > header > tabs > arrow, button.titlebutton,
 button {
   min-height: 24px;
-  min-width: 16px;
+  min-width: 22px;
   padding: 1px 2px;
   border: 1px solid;
   border-radius: 3px;
@@ -570,9 +570,9 @@ button {
         color: #858585; }
   notebook > header > tabs > arrow.image-button, button.image-button.titlebutton,
   button.image-button {
-    min-width: 24px;
-    padding-left: 4px;
-    padding-right: 4px; }
+    min-height: 20px;
+    min-width: 20px;
+    padding: 2px; }
   notebook > header > tabs > arrow.text-button, button.text-button.titlebutton,
   button.text-button {
     padding-left: 8px;
@@ -2003,6 +2003,9 @@ headerbar switch {
   margin-top: 9px;
   margin-bottom: 9px; }
 
+headerbar buttonbox {
+  padding: 0px; }
+
 .background:not(.tiled):not(.maximized) .titlebar:backdrop, .background:not(.tiled):not(.maximized) .titlebar {
   border-top-left-radius: 7px;
   border-top-right-radius: 7px; }
-- 
2.22.0

